package com.pixelmintdrop.model

/**
 * Represents the different types of game pieces
 */
enum class GamePieceType {
    I, J, L, O, S, T, Z;

    fun getBlocks(): Array<Array<Boolean>> {
        return when (this) {
            I -> arrayOf(
                arrayOf(false, false, false, false),
                arrayOf(true, true, true, true),
                arrayOf(false, false, false, false),
                arrayOf(false, false, false, false)
            )
            J -> arrayOf(
                arrayOf(true, false, false),
                arrayOf(true, true, true),
                arrayOf(false, false, false)
            )
            L -> arrayOf(
                arrayOf(false, false, true),
                arrayOf(true, true, true),
                arrayOf(false, false, false)
            )
            O -> arrayOf(
                arrayOf(true, true),
                arrayOf(true, true)
            )
            S -> arrayOf(
                arrayOf(false, true, true),
                arrayOf(true, true, false),
                arrayOf(false, false, false)
            )
            T -> arrayOf(
                arrayOf(false, true, false),
                arrayOf(true, true, true),
                arrayOf(false, false, false)
            )
            Z -> arrayOf(
                arrayOf(true, true, false),
                arrayOf(false, true, true),
                arrayOf(false, false, false)
            )
        }
    }
} 