package com.pixelmintdrop.theme

import android.graphics.Color

object ThemeManager {
    // Theme colors
    const val COLOR_CLASSIC_BACKGROUND = Color.BLACK
    const val COLOR_CLASSIC_FOREGROUND = Color.WHITE
    const val COLOR_CLASSIC_ACCENT = Color.CYAN

    const val COLOR_NEON_BACKGROUND = 0xFF0D0221.toInt()
    const val COLOR_NEON_FOREGROUND = 0xFFFF00FF.toInt()
    const val COLOR_NEON_ACCENT = 0xFF00FFFF.toInt()

    const val COLOR_MONOCHROME_BACKGROUND = 0xFF1A1A1A.toInt()
    const val COLOR_MONOCHROME_FOREGROUND = Color.LTGRAY
    const val COLOR_MONOCHROME_ACCENT = Color.WHITE

    const val COLOR_RETRO_BACKGROUND = 0xFF3F2832.toInt()
    const val COLOR_RETRO_FOREGROUND = 0xFFFF5A5F.toInt()
    const val COLOR_RETRO_ACCENT = 0xFFFFB400.toInt()

    const val COLOR_MINIMALIST_BACKGROUND = Color.WHITE
    const val COLOR_MINIMALIST_FOREGROUND = Color.BLACK
    const val COLOR_MINIMALIST_ACCENT = Color.DKGRAY

    const val COLOR_GALAXY_BACKGROUND = 0xFF0B0C10.toInt()
    const val COLOR_GALAXY_FOREGROUND = 0xFF66FCF1.toInt()
    const val COLOR_GALAXY_ACCENT = 0xFF45A29E.toInt()

    // Block colors for each piece type
    const val COLOR_I_PIECE = 0xFF00F0F0.toInt()
    const val COLOR_J_PIECE = 0xFF0000F0.toInt()
    const val COLOR_L_PIECE = 0xFFF0A000.toInt()
    const val COLOR_O_PIECE = 0xFFF0F000.toInt()
    const val COLOR_S_PIECE = 0xFF00F000.toInt()
    const val COLOR_T_PIECE = 0xFFA000F0.toInt()
    const val COLOR_Z_PIECE = 0xFFF00000.toInt()

    // Ghost piece colors
    const val COLOR_GHOST_PIECE = 0x40FFFFFF
    const val COLOR_GHOST_PIECE_GLOW = 0x20FFFFFF

    // Grid colors
    const val COLOR_GRID_LINE = 0x20FFFFFF
    const val COLOR_GRID_BORDER = 0x40FFFFFF

    // Effect colors
    const val COLOR_LINE_CLEAR_FLASH = 0x80FFFFFF
    const val COLOR_PERFECT_CLEAR_FLASH = 0xFFFFD700.toInt()
    const val COLOR_COMBO_FLASH = 0x60FFFFFF
} 